Package jxl

# Interface FormulaCell

All Superinterfaces:
  `Cell`

All Known Subinterfaces:
  `BooleanFormulaCell`, `DateFormulaCell`, `ErrorFormulaCell`, `NumberFormulaCell`, `StringFormulaCell`

public interface FormulaCell extends Cell
Interface for formulas which allow clients to read the Excel formula

## Method Summary

Modifier and Type
Method
Description
`String`
`getFormula()`
Gets the formula as a string

### Methods inherited from interface jxl.Cell

`getCellFeatures, getCellFormat, getColumn, getContents, getRow, getType, isHidden`

## Method Details

### getFormula

String getFormula() throws jxl.biff.formula.FormulaException
Gets the formula as a string

Returns:
  the formula as a string
Throws:
  `jxl.biff.formula.FormulaException` - if an error occurred whilst parsing